SqlServerProcess (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.db.mssql.SqlServerProcess interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.db.mssql
Interface SqlServerProcess

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

    public interface SqlServerProcess

extends LogicalElement

Represents a Microsoft SQL Server configuration parameter.

Naming Rules:
  0="parent,spid" 1="managedSystemName"
Persistable:
  true
Table Name:
  SQLPROCESS
Display Name:
  spid

Field Summary

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getCmd()`
`int` | `getCpu()`
`int` | `getKpid()`
`java.lang.String` | `getLastWaitType()`
`java.lang.String` | `getLoginName()`
`int` | `getMemUsage()`
`SqlServer` | `getParent()`
`int` | `getPhysicalIo()`
`int` | `getSpid()`
`java.lang.String` | `getStatus()`
`int` | `getWaitTime()`
`boolean` | `hasCmd()`
`boolean` | `hasCpu()`
`boolean` | `hasKpid()`
`boolean` | `hasLastWaitType()`
`boolean` | `hasLoginName()`
`boolean` | `hasMemUsage()`
`boolean` | `hasParent()`
`boolean` | `hasPhysicalIo()`
`boolean` | `hasSpid()`
`boolean` | `hasStatus()`
`boolean` | `hasWaitTime()`
`void` | `setCmd(java.lang.String cmd)`
`void` | `setCpu(int cpu)`
`void` | `setKpid(int kpid)`
`void` | `setLastWaitType(java.lang.String lastWaitType)`
`void` | `setLoginName(java.lang.String loginName)`
`void` | `setMemUsage(int memUsage)`
`void` | `setParent(SqlServer parent)`
`void` | `setPhysicalIo(int physical_io)`
`void` | `setSpid(int spid)`
`void` | `setStatus(java.lang.String status)`
`void` | `setWaitTime(int waitTime)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getParent

    SqlServer getParent()
                        throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="true"

### setParent

    void setParent(SqlServer parent)

### hasParent

    boolean hasParent()

### getSpid

    int getSpid()
                throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setSpid

    void setSpid(int spid)

### hasSpid

    boolean hasSpid()

### getKpid

    int getKpid()
                throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setKpid

    void setKpid(int kpid)

### hasKpid

    boolean hasKpid()

### getStatus

    java.lang.String getStatus()
                               throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setStatus

    void setStatus(java.lang.String status)

### hasStatus

    boolean hasStatus()

### getLoginName

    java.lang.String getLoginName()
                                  throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setLoginName

    void setLoginName(java.lang.String loginName)

### hasLoginName

    boolean hasLoginName()

### getCmd

    java.lang.String getCmd()
                            throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setCmd

    void setCmd(java.lang.String cmd)

### hasCmd

    boolean hasCmd()

### getWaitTime

    int getWaitTime()
                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setWaitTime

    void setWaitTime(int waitTime)

### hasWaitTime

    boolean hasWaitTime()

### getLastWaitType

    java.lang.String getLastWaitType()
                                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setLastWaitType

    void setLastWaitType(java.lang.String lastWaitType)

### hasLastWaitType

    boolean hasLastWaitType()

### getCpu

    int getCpu()
               throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setCpu

    void setCpu(int cpu)

### hasCpu

    boolean hasCpu()

### getPhysicalIo

    int getPhysicalIo()
                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setPhysicalIo

    void setPhysicalIo(int physical_io)

### hasPhysicalIo

    boolean hasPhysicalIo()

### getMemUsage

    int getMemUsage()
                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setMemUsage

    void setMemUsage(int memUsage)

### hasMemUsage

    boolean hasMemUsage()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD